Subject: Re: bug#52264: [PATCH] M-x describe-input-method for chinese-cns-quick is missing K key

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Dec 2021 13:04:16 +0200

> From: Cameron Desautels <[email-masked]>
> Date: Thu, 9 Dec 2021 00:29:55 -0800
> 
> I can confirm that what Van is saying is correct.
> 
> The input methods do /work/ correctly, so just the docs are wrong.  And
> that particular chart is hardcoded (i.e. not generated).  I did a bit of
> git spelunking and it seems to have been wrong from the start; probably
> just an accidental omission.
> 
> Without diving into a full explanation of how these input methods work,
> if you select any one of these input methods and type any of the QWERTY
> keys in the chart (and press SPACE to finalize the selection), you'll
> see the corresponding Chinese character appear in the buffer.  K does,
> in fact, produce 大, as a person familiar with Cangjie would expect.
> Wikipedia has a decent page[1] if you want to learn more.
> 
> I hope that's helpful.  Patch attached.

Thanks, I installed this on the emacs-28 branch, and I'm closing the
bug.